Subject: bug#1493: Serious bug#1493

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 23 Apr 2009 08:20:55 -0700 (PDT)

"Oscar Fuentes" <[email-masked]> writes:

  > Chong Yidong <[email-masked]> writes:
  > 
  > > Dan Nicolaescu <[email-masked]> writes:
  > >
  > >> I can't reproduce it.
  > >>
  > >> From the backtrace it seems that it's using qtengine and AFAIR we've
  > >> had bugs in the past that were actually due to qtengine, and not bugs
  > >> in emacs.  Maybe ask the OP to try to reproduce the problem with
  > >> another theme...
  > >
  > > Can you reproduce the bug you reported without qtengine?
  > 
  > I'm not sure about what qtengine is, but I'll guess:
  > 
  > Choosing "Use my KDE style in GTK applications" on the appearance
  > settings, section "GTK Styles and Fonts", make-frame-on-display produces
  > a segfault, as reported. Choosing "Use another style: Raleigh" works
  > fine, except for this message on the console:
  > 
  > (emacs:12482): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
  > 
  > just after `delete-frame' on the frame created with `make-frame-on-display'.
  > 
  > I'm working on Kubuntu 8.10 x86_64 KDE 4.2.2.

This sounds very much like a very long standing Gtk+ bug: 
http://bugzilla.gnome.org/show_bug.cgi?id=85715

we have had a few bug reports in emacs about it.

You could verify that by configuring emacs with --enable-toolkit=lucid

I think we should have a big warning in NEWS pointing to that Gtk bug
and saying that if people want to connect/disconnect to X11 display,
they'd better avoid using Gtk.